<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"><head>

<meta charset="utf-8">
<meta name="generator" content="quarto-1.3.450">

<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes">

<meta name="author" content="Artjoms Cvetkovs">
<meta name="dcterms.date" content="2024-06-07">

<title>Movie Dataset Analysis</title>
<style>
code{white-space: pre-wrap;}
span.smallcaps{font-variant: small-caps;}
div.columns{display: flex; gap: min(4vw, 1.5em);}
div.column{flex: auto; overflow-x: auto;}
div.hanging-indent{margin-left: 1.5em; text-indent: -1.5em;}
ul.task-list{list-style: none;}
ul.task-list li input[type="checkbox"] {
  width: 0.8em;
  margin: 0 0.8em 0.2em -1em; /* quarto-specific, see https://github.com/quarto-dev/quarto-cli/issues/4556 */ 
  vertical-align: middle;
}
/* CSS for syntax highlighting */
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
div.sourceCode { margin: 1em 0; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
  }
pre.numberSource { margin-left: 3em;  padding-left: 4px; }
div.sourceCode
  {   }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
</style>


<script src="ProjectWork_ArtjomsCvetkovs_files/libs/clipboard/clipboard.min.js"></script>
<script src="ProjectWork_ArtjomsCvetkovs_files/libs/quarto-html/quarto.js"></script>
<script src="ProjectWork_ArtjomsCvetkovs_files/libs/quarto-html/popper.min.js"></script>
<script src="ProjectWork_ArtjomsCvetkovs_files/libs/quarto-html/tippy.umd.min.js"></script>
<script src="ProjectWork_ArtjomsCvetkovs_files/libs/quarto-html/anchor.min.js"></script>
<link href="ProjectWork_ArtjomsCvetkovs_files/libs/quarto-html/tippy.css" rel="stylesheet">
<link href="ProjectWork_ArtjomsCvetkovs_files/libs/quarto-html/quarto-syntax-highlighting.css" rel="stylesheet" id="quarto-text-highlighting-styles">
<script src="ProjectWork_ArtjomsCvetkovs_files/libs/bootstrap/bootstrap.min.js"></script>
<link href="ProjectWork_ArtjomsCvetkovs_files/libs/bootstrap/bootstrap-icons.css" rel="stylesheet">
<link href="ProjectWork_ArtjomsCvetkovs_files/libs/bootstrap/bootstrap.min.css" rel="stylesheet" id="quarto-bootstrap" data-mode="light">


</head>

<body class="fullcontent">

<div id="quarto-content" class="page-columns page-rows-contents page-layout-article">

<main class="content" id="quarto-document-content">

<header id="title-block-header" class="quarto-title-block default">
<div class="quarto-title">
<h1 class="title">Movie Dataset Analysis</h1>
</div>



<div class="quarto-title-meta">

    <div>
    <div class="quarto-title-meta-heading">Author</div>
    <div class="quarto-title-meta-contents">
             <p>Artjoms Cvetkovs </p>
          </div>
  </div>
    
    <div>
    <div class="quarto-title-meta-heading">Published</div>
    <div class="quarto-title-meta-contents">
      <p class="date">June 7, 2024</p>
    </div>
  </div>
  
    
  </div>
  

</header>

<p>Introduction</p>
<p>In this project, we aim to analyze a movie dataset from Kaggle. The dataset contains various attributes related to movies such as their ratings, genres, release years, scores, votes, directors, and revenues. Our goal is to explore and analyze the data to gain insights into trends and patterns within the movie industry.</p>
<p>Presentation of the Data</p>
<p>We begin by loading the necessary libraries and reading the dataset. Then, we will examine the first few rows and the structure of the dataset to understand its contents.</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb1"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb1-1"><a href="#cb1-1" aria-hidden="true" tabindex="-1"></a><span class="co"># I set the CRAN because Rstudio during rendering wrote about the mistake that he was not</span></span>
<span id="cb1-2"><a href="#cb1-2" aria-hidden="true" tabindex="-1"></a><span class="fu">options</span>(<span class="at">repos =</span> <span class="fu">c</span>(<span class="at">CRAN =</span> <span class="st">"https://cran.rstudio.com"</span>))</span>
<span id="cb1-3"><a href="#cb1-3" aria-hidden="true" tabindex="-1"></a><span class="fu">install.packages</span>(<span class="st">"tidyverse"</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stderr">
<pre><code>Installing package into 'C:/Users/cvetk/AppData/Local/R/win-library/4.3'
(as 'lib' is unspecified)</code></pre>
</div>
<div class="cell-output cell-output-stdout">
<pre><code>package 'tidyverse' successfully unpacked and MD5 sums checked

The downloaded binary packages are in
    C:\Users\cvetk\AppData\Local\Temp\RtmpWwfzK1\downloaded_packages</code></pre>
</div>
<div class="sourceCode cell-code" id="cb4"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb4-1"><a href="#cb4-1" aria-hidden="true" tabindex="-1"></a><span class="fu">library</span>(tidyverse)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stderr">
<pre><code>── Attaching core tidyverse packages ──────────────────────── tidyverse 2.0.0 ──
✔ dplyr     1.1.4     ✔ readr     2.1.5
✔ forcats   1.0.0     ✔ stringr   1.5.1
✔ ggplot2   3.5.1     ✔ tibble    3.2.1
✔ lubridate 1.9.3     ✔ tidyr     1.3.1
✔ purrr     1.0.2     </code></pre>
</div>
<div class="cell-output cell-output-stderr">
<pre><code>── Conflicts ────────────────────────────────────────── tidyverse_conflicts() ──
✖ dplyr::filter() masks stats::filter()
✖ dplyr::lag()    masks stats::lag()
ℹ Use the conflicted package (&lt;http://conflicted.r-lib.org/&gt;) to force all conflicts to become errors</code></pre>
</div>
<div class="sourceCode cell-code" id="cb7"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb7-1"><a href="#cb7-1" aria-hidden="true" tabindex="-1"></a>movie_data <span class="ot">&lt;-</span> <span class="fu">read_csv</span>(<span class="st">"movies.csv"</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stderr">
<pre><code>Rows: 7668 Columns: 15
── Column specification ────────────────────────────────────────────────────────
Delimiter: ","
chr (9): name, rating, genre, released, director, writer, star, country, com...
dbl (6): year, score, votes, budget, gross, runtime

ℹ Use `spec()` to retrieve the full column specification for this data.
ℹ Specify the column types or set `show_col_types = FALSE` to quiet this message.</code></pre>
</div>
<div class="sourceCode cell-code" id="cb9"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb9-1"><a href="#cb9-1" aria-hidden="true" tabindex="-1"></a><span class="fu">head</span>(movie_data)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stdout">
<pre><code># A tibble: 6 × 15
  name    rating genre  year released score  votes director writer star  country
  &lt;chr&gt;   &lt;chr&gt;  &lt;chr&gt; &lt;dbl&gt; &lt;chr&gt;    &lt;dbl&gt;  &lt;dbl&gt; &lt;chr&gt;    &lt;chr&gt;  &lt;chr&gt; &lt;chr&gt;  
1 The Sh… R      Drama  1980 June 13…   8.4 9.27e5 Stanley… Steph… Jack… United…
2 The Bl… R      Adve…  1980 July 2,…   5.8 6.5 e4 Randal … Henry… Broo… United…
3 Star W… PG     Acti…  1980 June 20…   8.7 1.20e6 Irvin K… Leigh… Mark… United…
4 Airpla… PG     Come…  1980 July 2,…   7.7 2.21e5 Jim Abr… Jim A… Robe… United…
5 Caddys… R      Come…  1980 July 25…   7.3 1.08e5 Harold … Brian… Chev… United…
6 Friday… R      Horr…  1980 May 9, …   6.4 1.23e5 Sean S.… Victo… Bets… United…
# ℹ 4 more variables: budget &lt;dbl&gt;, gross &lt;dbl&gt;, company &lt;chr&gt;, runtime &lt;dbl&gt;</code></pre>
</div>
<div class="sourceCode cell-code" id="cb11"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb11-1"><a href="#cb11-1" aria-hidden="true" tabindex="-1"></a><span class="fu">str</span>(movie_data)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stdout">
<pre><code>spc_tbl_ [7,668 × 15] (S3: spec_tbl_df/tbl_df/tbl/data.frame)
 $ name    : chr [1:7668] "The Shining" "The Blue Lagoon" "Star Wars: Episode V - The Empire Strikes Back" "Airplane!" ...
 $ rating  : chr [1:7668] "R" "R" "PG" "PG" ...
 $ genre   : chr [1:7668] "Drama" "Adventure" "Action" "Comedy" ...
 $ year    : num [1:7668] 1980 1980 1980 1980 1980 1980 1980 1980 1980 1980 ...
 $ released: chr [1:7668] "June 13, 1980 (United States)" "July 2, 1980 (United States)" "June 20, 1980 (United States)" "July 2, 1980 (United States)" ...
 $ score   : num [1:7668] 8.4 5.8 8.7 7.7 7.3 6.4 7.9 8.2 6.8 7 ...
 $ votes   : num [1:7668] 927000 65000 1200000 221000 108000 123000 188000 330000 101000 10000 ...
 $ director: chr [1:7668] "Stanley Kubrick" "Randal Kleiser" "Irvin Kershner" "Jim Abrahams" ...
 $ writer  : chr [1:7668] "Stephen King" "Henry De Vere Stacpoole" "Leigh Brackett" "Jim Abrahams" ...
 $ star    : chr [1:7668] "Jack Nicholson" "Brooke Shields" "Mark Hamill" "Robert Hays" ...
 $ country : chr [1:7668] "United Kingdom" "United States" "United States" "United States" ...
 $ budget  : num [1:7668] 1.9e+07 4.5e+06 1.8e+07 3.5e+06 6.0e+06 5.5e+05 2.7e+07 1.8e+07 5.4e+07 1.0e+07 ...
 $ gross   : num [1:7668] 4.70e+07 5.89e+07 5.38e+08 8.35e+07 3.98e+07 ...
 $ company : chr [1:7668] "Warner Bros." "Columbia Pictures" "Lucasfilm" "Paramount Pictures" ...
 $ runtime : num [1:7668] 146 104 124 88 98 95 133 129 127 100 ...
 - attr(*, "spec")=
  .. cols(
  ..   name = col_character(),
  ..   rating = col_character(),
  ..   genre = col_character(),
  ..   year = col_double(),
  ..   released = col_character(),
  ..   score = col_double(),
  ..   votes = col_double(),
  ..   director = col_character(),
  ..   writer = col_character(),
  ..   star = col_character(),
  ..   country = col_character(),
  ..   budget = col_double(),
  ..   gross = col_double(),
  ..   company = col_character(),
  ..   runtime = col_double()
  .. )
 - attr(*, "problems")=&lt;externalptr&gt; </code></pre>
</div>
</div>
<p>Genre Summary: The average rating, total number of movies, and total revenue for each genre. Year Summary: The average budget, average gross revenue, and total number of movies released each year. Director Summary: The average rating and total number of movies for the top 10 directors with the most movies.</p>
<p>The dataset contains the following columns:</p>
<p>name: The title of the movie.</p>
<p>rating: The movie’s rating (e.g., PG, R).</p>
<p>genre: Genre of the movie (e.g., Drama, Comedy).</p>
<p>year: Year of release.</p>
<p>released: Release date.</p>
<p>score: IMDB score.</p>
<p>votes: Number of votes on IMDB.</p>
<p>director: Director of the movie.</p>
<p>writer: Writer of the movie.</p>
<p>star: Leading star of the movie.</p>
<p>country: Country of origin.</p>
<p>budget: Budget of the movie (in USD).</p>
<p>gross: Gross revenue (in USD).</p>
<p>company: Production company.</p>
<p>runtime: Runtime of the movie (in minutes).</p>
<section id="aggregation-of-data" class="level2">
<h2 class="anchored" data-anchor-id="aggregation-of-data">Aggregation of data</h2>
<p>To better understand the dataset, we will perform some aggregations. We will aggregate the data by genre, year, and director to uncover interesting insights.</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb13"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb13-1"><a href="#cb13-1" aria-hidden="true" tabindex="-1"></a><span class="co"># Aggregating data by genre</span></span>
<span id="cb13-2"><a href="#cb13-2" aria-hidden="true" tabindex="-1"></a>genre_summary <span class="ot">&lt;-</span> movie_data <span class="sc">%&gt;%</span></span>
<span id="cb13-3"><a href="#cb13-3" aria-hidden="true" tabindex="-1"></a>  <span class="fu">group_by</span>(genre) <span class="sc">%&gt;%</span></span>
<span id="cb13-4"><a href="#cb13-4" aria-hidden="true" tabindex="-1"></a>  <span class="fu">summarise</span>(</span>
<span id="cb13-5"><a href="#cb13-5" aria-hidden="true" tabindex="-1"></a>    <span class="at">average_rating =</span> <span class="fu">mean</span>(score, <span class="at">na.rm =</span> <span class="cn">TRUE</span>),</span>
<span id="cb13-6"><a href="#cb13-6" aria-hidden="true" tabindex="-1"></a>    <span class="at">total_movies =</span> <span class="fu">n</span>(),</span>
<span id="cb13-7"><a href="#cb13-7" aria-hidden="true" tabindex="-1"></a>    <span class="at">total_revenue =</span> <span class="fu">sum</span>(gross, <span class="at">na.rm =</span> <span class="cn">TRUE</span>)</span>
<span id="cb13-8"><a href="#cb13-8" aria-hidden="true" tabindex="-1"></a>  )</span>
<span id="cb13-9"><a href="#cb13-9" aria-hidden="true" tabindex="-1"></a><span class="co"># Aggregating data by year</span></span>
<span id="cb13-10"><a href="#cb13-10" aria-hidden="true" tabindex="-1"></a>year_summary <span class="ot">&lt;-</span> movie_data <span class="sc">%&gt;%</span></span>
<span id="cb13-11"><a href="#cb13-11" aria-hidden="true" tabindex="-1"></a>  <span class="fu">group_by</span>(year) <span class="sc">%&gt;%</span></span>
<span id="cb13-12"><a href="#cb13-12" aria-hidden="true" tabindex="-1"></a>  <span class="fu">summarise</span>(</span>
<span id="cb13-13"><a href="#cb13-13" aria-hidden="true" tabindex="-1"></a>    <span class="at">average_budget =</span> <span class="fu">mean</span>(budget, <span class="at">na.rm =</span> <span class="cn">TRUE</span>),</span>
<span id="cb13-14"><a href="#cb13-14" aria-hidden="true" tabindex="-1"></a>    <span class="at">average_gross =</span> <span class="fu">mean</span>(gross, <span class="at">na.rm =</span> <span class="cn">TRUE</span>),</span>
<span id="cb13-15"><a href="#cb13-15" aria-hidden="true" tabindex="-1"></a>    <span class="at">total_movies =</span> <span class="fu">n</span>()</span>
<span id="cb13-16"><a href="#cb13-16" aria-hidden="true" tabindex="-1"></a>  )</span>
<span id="cb13-17"><a href="#cb13-17" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb13-18"><a href="#cb13-18" aria-hidden="true" tabindex="-1"></a><span class="co"># Aggregating data by director</span></span>
<span id="cb13-19"><a href="#cb13-19" aria-hidden="true" tabindex="-1"></a>director_summary <span class="ot">&lt;-</span> movie_data <span class="sc">%&gt;%</span></span>
<span id="cb13-20"><a href="#cb13-20" aria-hidden="true" tabindex="-1"></a>  <span class="fu">group_by</span>(director) <span class="sc">%&gt;%</span></span>
<span id="cb13-21"><a href="#cb13-21" aria-hidden="true" tabindex="-1"></a>  <span class="fu">summarise</span>(</span>
<span id="cb13-22"><a href="#cb13-22" aria-hidden="true" tabindex="-1"></a>    <span class="at">average_rating =</span> <span class="fu">mean</span>(score, <span class="at">na.rm =</span> <span class="cn">TRUE</span>),</span>
<span id="cb13-23"><a href="#cb13-23" aria-hidden="true" tabindex="-1"></a>    <span class="at">total_movies =</span> <span class="fu">n</span>()</span>
<span id="cb13-24"><a href="#cb13-24" aria-hidden="true" tabindex="-1"></a>  ) <span class="sc">%&gt;%</span></span>
<span id="cb13-25"><a href="#cb13-25" aria-hidden="true" tabindex="-1"></a>  <span class="fu">arrange</span>(<span class="fu">desc</span>(total_movies)) <span class="sc">%&gt;%</span></span>
<span id="cb13-26"><a href="#cb13-26" aria-hidden="true" tabindex="-1"></a>  <span class="fu">head</span>(<span class="dv">10</span>)</span>
<span id="cb13-27"><a href="#cb13-27" aria-hidden="true" tabindex="-1"></a>genre_summary</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stdout">
<pre><code># A tibble: 19 × 4
   genre     average_rating total_movies total_revenue
   &lt;chr&gt;              &lt;dbl&gt;        &lt;int&gt;         &lt;dbl&gt;
 1 Action              6.20         1705  243435855754
 2 Adventure           6.29          427   45916596693
 3 Animation           6.77          338   80142045796
 4 Biography           7.03          443   20729581801
 5 Comedy              6.19         2245   97175468462
 6 Crime               6.67          551   21355448322
 7 Drama               6.69         1518   57150648537
 8 Family              6.36           11    2157897417
 9 Fantasy             6.01           44    1664501135
10 History             8.3             1             0
11 Horror              5.75          322   14543329602
12 Music               7.2             1        110014
13 Musical             8.05            2       5190692
14 Mystery             6.66           20    2023670554
15 Romance             6.41           10     188394999
16 Sci-Fi              6.21           10     260489866
17 Sport               5.9             1       1067629
18 Thriller            5.91           16     323223113
19 Western             5.67            3      32025886</code></pre>
</div>
<div class="sourceCode cell-code" id="cb15"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb15-1"><a href="#cb15-1" aria-hidden="true" tabindex="-1"></a>year_summary</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stdout">
<pre><code># A tibble: 41 × 4
    year average_budget average_gross total_movies
   &lt;dbl&gt;          &lt;dbl&gt;         &lt;dbl&gt;        &lt;int&gt;
 1  1980      12103191.     30662555.           92
 2  1981      10433088.     24231393.          113
 3  1982      11306351.     26786391.          126
 4  1983      10044669.     21484411.          144
 5  1984      12267319.     22361343.          168
 6  1985      12454184.     20855985.          200
 7  1986      12522647.     19610279.          200
 8  1987      12801321.     21454438.          200
 9  1988      13011579.     25342333.          200
10  1989      14998005.     32207676.          200
# ℹ 31 more rows</code></pre>
</div>
<div class="sourceCode cell-code" id="cb17"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb17-1"><a href="#cb17-1" aria-hidden="true" tabindex="-1"></a>director_summary</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output cell-output-stdout">
<pre><code># A tibble: 10 × 3
   director          average_rating total_movies
   &lt;chr&gt;                      &lt;dbl&gt;        &lt;int&gt;
 1 Woody Allen                 6.97           38
 2 Clint Eastwood              6.97           31
 3 Directors                   6.55           28
 4 Steven Spielberg            7.44           27
 5 Ron Howard                  6.82           24
 6 Ridley Scott                6.93           23
 7 Steven Soderbergh           6.68           23
 8 Joel Schumacher             6.30           22
 9 Barry Levinson              6.48           20
10 Martin Scorsese             7.67           19</code></pre>
</div>
</div>
<section id="exploratory-data-analysis" class="level3">
<h3 class="anchored" data-anchor-id="exploratory-data-analysis">Exploratory Data Analysis</h3>
<p>Next, we will create some visualizations to explore the data further. We will use scatter plots, box plots, and histograms to reveal trends and patterns.</p>
<section id="revenue-vs-runtime" class="level4">
<h4 class="anchored" data-anchor-id="revenue-vs-runtime">Revenue vs Runtime</h4>
<p>We will start by examining the relationship between a movie’s runtime and its revenue.</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb19"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb19-1"><a href="#cb19-1" aria-hidden="true" tabindex="-1"></a>cleaned_movie_data <span class="ot">&lt;-</span> movie_data <span class="sc">%&gt;%</span></span>
<span id="cb19-2"><a href="#cb19-2" aria-hidden="true" tabindex="-1"></a>  <span class="fu">filter</span>(<span class="sc">!</span><span class="fu">is.na</span>(runtime), <span class="sc">!</span><span class="fu">is.na</span>(gross))</span>
<span id="cb19-3"><a href="#cb19-3" aria-hidden="true" tabindex="-1"></a><span class="fu">ggplot</span>(cleaned_movie_data, <span class="fu">aes</span>(<span class="at">x =</span> runtime, <span class="at">y =</span> gross)) <span class="sc">+</span></span>
<span id="cb19-4"><a href="#cb19-4" aria-hidden="true" tabindex="-1"></a>  <span class="fu">geom_point</span>(<span class="at">na.rm =</span> <span class="cn">TRUE</span>) <span class="sc">+</span></span>
<span id="cb19-5"><a href="#cb19-5" aria-hidden="true" tabindex="-1"></a>  <span class="fu">labs</span>(<span class="at">title =</span> <span class="st">"Revenue vs Runtime"</span>,</span>
<span id="cb19-6"><a href="#cb19-6" aria-hidden="true" tabindex="-1"></a>       <span class="at">x =</span> <span class="st">"Runtime (minutes)"</span>,</span>
<span id="cb19-7"><a href="#cb19-7" aria-hidden="true" tabindex="-1"></a>       <span class="at">y =</span> <span class="st">"Gross Revenue (USD)"</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output-display">
<p><img src="ProjectWork_ArtjomsCvetkovs_files/figure-html/unnamed-chunk-3-1.png" class="img-fluid" width="672"></p>
</div>
</div>
<p>In this scatter plot, each point represents a movie. The x-axis shows the runtime in minutes, and the y-axis shows the gross revenue in USD. This visualization helps us understand if there is any correlation between the runtime of a movie and its revenue.</p>
</section>
<section id="rating-distribution-by-genre" class="level4">
<h4 class="anchored" data-anchor-id="rating-distribution-by-genre">Rating Distribution by Genre</h4>
<p>Next, we will look at the distribution of IMDB ratings across different genres.</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb20"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb20-1"><a href="#cb20-1" aria-hidden="true" tabindex="-1"></a>cleaned_movie_data <span class="ot">&lt;-</span> movie_data <span class="sc">%&gt;%</span></span>
<span id="cb20-2"><a href="#cb20-2" aria-hidden="true" tabindex="-1"></a>  <span class="fu">filter</span>(<span class="sc">!</span><span class="fu">is.na</span>(genre), <span class="sc">!</span><span class="fu">is.na</span>(score))</span>
<span id="cb20-3"><a href="#cb20-3" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb20-4"><a href="#cb20-4" aria-hidden="true" tabindex="-1"></a><span class="fu">ggplot</span>(cleaned_movie_data, <span class="fu">aes</span>(<span class="at">x =</span> genre, <span class="at">y =</span> score)) <span class="sc">+</span></span>
<span id="cb20-5"><a href="#cb20-5" aria-hidden="true" tabindex="-1"></a>  <span class="fu">geom_boxplot</span>() <span class="sc">+</span></span>
<span id="cb20-6"><a href="#cb20-6" aria-hidden="true" tabindex="-1"></a>  <span class="fu">labs</span>(<span class="at">title =</span> <span class="st">"Rating Distribution by Genre"</span>,</span>
<span id="cb20-7"><a href="#cb20-7" aria-hidden="true" tabindex="-1"></a>       <span class="at">x =</span> <span class="st">"Genre"</span>,</span>
<span id="cb20-8"><a href="#cb20-8" aria-hidden="true" tabindex="-1"></a>       <span class="at">y =</span> <span class="st">"IMDB Score"</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output-display">
<p><img src="ProjectWork_ArtjomsCvetkovs_files/figure-html/unnamed-chunk-4-1.png" class="img-fluid" width="672"></p>
</div>
</div>
<p>This box plot displays the distribution of IMDB scores for each genre. The boxes show the interquartile range, and the lines extending from the boxes show the range of scores. This plot helps us understand which genres tend to have higher or lower ratings.</p>
</section>
<section id="distribution-of-movie-ratings" class="level4">
<h4 class="anchored" data-anchor-id="distribution-of-movie-ratings">Distribution of Movie Ratings</h4>
<p>Finally, we will create a histogram to visualize the distribution of movie ratings.</p>
<div class="cell">
<div class="sourceCode cell-code" id="cb21"><pre class="sourceCode r code-with-copy"><code class="sourceCode r"><span id="cb21-1"><a href="#cb21-1" aria-hidden="true" tabindex="-1"></a>cleaned_movie_data <span class="ot">&lt;-</span> movie_data <span class="sc">%&gt;%</span></span>
<span id="cb21-2"><a href="#cb21-2" aria-hidden="true" tabindex="-1"></a>  <span class="fu">filter</span>(<span class="sc">!</span><span class="fu">is.na</span>(score))</span>
<span id="cb21-3"><a href="#cb21-3" aria-hidden="true" tabindex="-1"></a></span>
<span id="cb21-4"><a href="#cb21-4" aria-hidden="true" tabindex="-1"></a><span class="fu">ggplot</span>(cleaned_movie_data, <span class="fu">aes</span>(<span class="at">x =</span> score)) <span class="sc">+</span></span>
<span id="cb21-5"><a href="#cb21-5" aria-hidden="true" tabindex="-1"></a>  <span class="fu">geom_histogram</span>(<span class="at">binwidth =</span> <span class="fl">0.5</span>, <span class="at">fill =</span> <span class="st">"blue"</span>, <span class="at">color =</span> <span class="st">"black"</span>) <span class="sc">+</span></span>
<span id="cb21-6"><a href="#cb21-6" aria-hidden="true" tabindex="-1"></a>  <span class="fu">labs</span>(<span class="at">title =</span> <span class="st">"Distribution of Movie Ratings"</span>,</span>
<span id="cb21-7"><a href="#cb21-7" aria-hidden="true" tabindex="-1"></a>       <span class="at">x =</span> <span class="st">"IMDB Score"</span>,</span>
<span id="cb21-8"><a href="#cb21-8" aria-hidden="true" tabindex="-1"></a>       <span class="at">y =</span> <span class="st">"Frequency"</span>)</span></code><button title="Copy to Clipboard" class="code-copy-button"><i class="bi"></i></button></pre></div>
<div class="cell-output-display">
<p><img src="ProjectWork_ArtjomsCvetkovs_files/figure-html/unnamed-chunk-5-1.png" class="img-fluid" width="672"></p>
</div>
</div>
<p>This histogram shows the frequency of different IMDB scores. It helps us see how movie ratings are distributed and identify any common rating ranges.</p>
</section>
</section>
<section id="conclusion" class="level3">
<h3 class="anchored" data-anchor-id="conclusion">Conclusion</h3>
<p>Our analysis of the movie dataset reveals several interesting insights:</p>
<ul>
<li><p>The average ratings, number of movies, and total revenue vary significantly across different genres.</p></li>
<li><p>Over the years, the average budget and gross revenue of movies have shown notable trends.</p></li>
<li><p>The top directors with the most movies have varying average ratings.</p></li>
<li><p>There is no clear correlation between a movie’s runtime and its revenue.</p></li>
<li><p>Certain genres tend to have higher or lower ratings, as seen in the rating distribution by genre.</p></li>
<li><p>The distribution of movie ratings shows that most movies have scores concentrated around certain values.</p></li>
</ul>
<p>By exploring and visualizing the data, we have gained a deeper understanding of trends and patterns within the movie industry.</p>
</section>
</section>
<section id="references" class="level1">
<h1>References</h1>
<p><a href="https://www.kaggle.com/datasets/danielgrijalvas/movies">Kaggle dataset: Movies Dataset</a></p>
</section>

</main>
<!-- /main column -->
<script id="quarto-html-after-body" type="application/javascript">
window.document.addEventListener("DOMContentLoaded", function (event) {
  const toggleBodyColorMode = (bsSheetEl) => {
    const mode = bsSheetEl.getAttribute("data-mode");
    const bodyEl = window.document.querySelector("body");
    if (mode === "dark") {
      bodyEl.classList.add("quarto-dark");
      bodyEl.classList.remove("quarto-light");
    } else {
      bodyEl.classList.add("quarto-light");
      bodyEl.classList.remove("quarto-dark");
    }
  }
  const toggleBodyColorPrimary = () => {
    const bsSheetEl = window.document.querySelector("link#quarto-bootstrap");
    if (bsSheetEl) {
      toggleBodyColorMode(bsSheetEl);
    }
  }
  toggleBodyColorPrimary();  
  const icon = "";
  const anchorJS = new window.AnchorJS();
  anchorJS.options = {
    placement: 'right',
    icon: icon
  };
  anchorJS.add('.anchored');
  const isCodeAnnotation = (el) => {
    for (const clz of el.classList) {
      if (clz.startsWith('code-annotation-')) {                     
        return true;
      }
    }
    return false;
  }
  const clipboard = new window.ClipboardJS('.code-copy-button', {
    text: function(trigger) {
      const codeEl = trigger.previousElementSibling.cloneNode(true);
      for (const childEl of codeEl.children) {
        if (isCodeAnnotation(childEl)) {
          childEl.remove();
        }
      }
      return codeEl.innerText;
    }
  });
  clipboard.on('success', function(e) {
    // button target
    const button = e.trigger;
    // don't keep focus
    button.blur();
    // flash "checked"
    button.classList.add('code-copy-button-checked');
    var currentTitle = button.getAttribute("title");
    button.setAttribute("title", "Copied!");
    let tooltip;
    if (window.bootstrap) {
      button.setAttribute("data-bs-toggle", "tooltip");
      button.setAttribute("data-bs-placement", "left");
      button.setAttribute("data-bs-title", "Copied!");
      tooltip = new bootstrap.Tooltip(button, 
        { trigger: "manual", 
          customClass: "code-copy-button-tooltip",
          offset: [0, -8]});
      tooltip.show();    
    }
    setTimeout(function() {
      if (tooltip) {
        tooltip.hide();
        button.removeAttribute("data-bs-title");
        button.removeAttribute("data-bs-toggle");
        button.removeAttribute("data-bs-placement");
      }
      button.setAttribute("title", currentTitle);
      button.classList.remove('code-copy-button-checked');
    }, 1000);
    // clear code selection
    e.clearSelection();
  });
  function tippyHover(el, contentFn) {
    const config = {
      allowHTML: true,
      content: contentFn,
      maxWidth: 500,
      delay: 100,
      arrow: false,
      appendTo: function(el) {
          return el.parentElement;
      },
      interactive: true,
      interactiveBorder: 10,
      theme: 'quarto',
      placement: 'bottom-start'
    };
    window.tippy(el, config); 
  }
  const noterefs = window.document.querySelectorAll('a[role="doc-noteref"]');
  for (var i=0; i<noterefs.length; i++) {
    const ref = noterefs[i];
    tippyHover(ref, function() {
      // use id or data attribute instead here
      let href = ref.getAttribute('data-footnote-href') || ref.getAttribute('href');
      try { href = new URL(href).hash; } catch {}
      const id = href.replace(/^#\/?/, "");
      const note = window.document.getElementById(id);
      return note.innerHTML;
    });
  }
      let selectedAnnoteEl;
      const selectorForAnnotation = ( cell, annotation) => {
        let cellAttr = 'data-code-cell="' + cell + '"';
        let lineAttr = 'data-code-annotation="' +  annotation + '"';
        const selector = 'span[' + cellAttr + '][' + lineAttr + ']';
        return selector;
      }
      const selectCodeLines = (annoteEl) => {
        const doc = window.document;
        const targetCell = annoteEl.getAttribute("data-target-cell");
        const targetAnnotation = annoteEl.getAttribute("data-target-annotation");
        const annoteSpan = window.document.querySelector(selectorForAnnotation(targetCell, targetAnnotation));
        const lines = annoteSpan.getAttribute("data-code-lines").split(",");
        const lineIds = lines.map((line) => {
          return targetCell + "-" + line;
        })
        let top = null;
        let height = null;
        let parent = null;
        if (lineIds.length > 0) {
            //compute the position of the single el (top and bottom and make a div)
            const el = window.document.getElementById(lineIds[0]);
            top = el.offsetTop;
            height = el.offsetHeight;
            parent = el.parentElement.parentElement;
          if (lineIds.length > 1) {
            const lastEl = window.document.getElementById(lineIds[lineIds.length - 1]);
            const bottom = lastEl.offsetTop + lastEl.offsetHeight;
            height = bottom - top;
          }
          if (top !== null && height !== null && parent !== null) {
            // cook up a div (if necessary) and position it 
            let div = window.document.getElementById("code-annotation-line-highlight");
            if (div === null) {
              div = window.document.createElement("div");
              div.setAttribute("id", "code-annotation-line-highlight");
              div.style.position = 'absolute';
              parent.appendChild(div);
            }
            div.style.top = top - 2 + "px";
            div.style.height = height + 4 + "px";
            let gutterDiv = window.document.getElementById("code-annotation-line-highlight-gutter");
            if (gutterDiv === null) {
              gutterDiv = window.document.createElement("div");
              gutterDiv.setAttribute("id", "code-annotation-line-highlight-gutter");
              gutterDiv.style.position = 'absolute';
              const codeCell = window.document.getElementById(targetCell);
              const gutter = codeCell.querySelector('.code-annotation-gutter');
              gutter.appendChild(gutterDiv);
            }
            gutterDiv.style.top = top - 2 + "px";
            gutterDiv.style.height = height + 4 + "px";
          }
          selectedAnnoteEl = annoteEl;
        }
      };
      const unselectCodeLines = () => {
        const elementsIds = ["code-annotation-line-highlight", "code-annotation-line-highlight-gutter"];
        elementsIds.forEach((elId) => {
          const div = window.document.getElementById(elId);
          if (div) {
            div.remove();
          }
        });
        selectedAnnoteEl = undefined;
      };
      // Attach click handler to the DT
      const annoteDls = window.document.querySelectorAll('dt[data-target-cell]');
      for (const annoteDlNode of annoteDls) {
        annoteDlNode.addEventListener('click', (event) => {
          const clickedEl = event.target;
          if (clickedEl !== selectedAnnoteEl) {
            unselectCodeLines();
            const activeEl = window.document.querySelector('dt[data-target-cell].code-annotation-active');
            if (activeEl) {
              activeEl.classList.remove('code-annotation-active');
            }
            selectCodeLines(clickedEl);
            clickedEl.classList.add('code-annotation-active');
          } else {
            // Unselect the line
            unselectCodeLines();
            clickedEl.classList.remove('code-annotation-active');
          }
        });
      }
  const findCites = (el) => {
    const parentEl = el.parentElement;
    if (parentEl) {
      const cites = parentEl.dataset.cites;
      if (cites) {
        return {
          el,
          cites: cites.split(' ')
        };
      } else {
        return findCites(el.parentElement)
      }
    } else {
      return undefined;
    }
  };
  var bibliorefs = window.document.querySelectorAll('a[role="doc-biblioref"]');
  for (var i=0; i<bibliorefs.length; i++) {
    const ref = bibliorefs[i];
    const citeInfo = findCites(ref);
    if (citeInfo) {
      tippyHover(citeInfo.el, function() {
        var popup = window.document.createElement('div');
        citeInfo.cites.forEach(function(cite) {
          var citeDiv = window.document.createElement('div');
          citeDiv.classList.add('hanging-indent');
          citeDiv.classList.add('csl-entry');
          var biblioDiv = window.document.getElementById('ref-' + cite);
          if (biblioDiv) {
            citeDiv.innerHTML = biblioDiv.innerHTML;
          }
          popup.appendChild(citeDiv);
        });
        return popup.innerHTML;
      });
    }
  }
});
</script>
</div> <!-- /content -->



</body></html>